classification
Title: OS X installer: fix makefile target changed for 3.x
Type: crash Stage:
Components: Build, macOS Versions: Python 3.0, Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: benjamin.peterson, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2009-02-15 09:08 by ned.deily, last changed 2009-05-26 21:39 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
patch-nad0003-py3k-30.txt ned.deily, 2009-02-15 09:08
Messages (8)
msg82145 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-02-15 09:08
2.x "make install" is equivalent to 3.x "make fullinstall"
Update Mac/BuildScript/build-installer.py accordingly.
This prevents spurious warning messages in the installer build.
msg82221 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-02-16 07:28
Actually, it's more than just a cosmetic issue.  Without the "make 
fullinstall" the bininstall target is skipped.
msg88090 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-05-19 19:17
"make fullinstall" is wrong, this will install a "python" executable as 
well as the proper "python3" and "python3.1" executables.

I'll do a build of the 3.1 installer ASAP and fix any issues with that.
msg88186 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-05-22 09:39
With the decision to have references to py3k scripts always contain a 
"3", I agree that "make fullinstall" is no longer appropriate.

With r72723 and current py3k, however, there are still some issues.  
Compare ls -l bin from 2.6.2, 3.0.1, and current py3k:

$ cd /Library/Frameworks/Python.framework/Versions
$ ls -l 2.6/bin
total 264
-rwxrwxr-x  1 root  admin    150 Apr 16 00:28 2to3*
lrwxr-xr-x  1 root  admin      7 May 21 23:57 idle@ -> idle2.6
-rwxrwxr-x  1 root  admin    138 Apr 16 00:28 idle2.6*
lrwxr-xr-x  1 root  admin      8 May 21 23:57 pydoc@ -> pydoc2.6
-rwxrwxr-x  1 root  admin    123 Apr 16 00:28 pydoc2.6*
lrwxr-xr-x  1 root  admin      9 May 21 23:57 python@ -> python2.6
lrwxr-xr-x  1 root  admin     16 May 21 23:57 python-config@ -> 
python2.6-config
-rwxrwxr-x  1 root  admin  33688 Apr 16 00:30 python2.6*
-rwxrwxr-x  1 root  admin   1463 Apr 16 00:29 python2.6-config*
lrwxr-xr-x  1 root  admin     10 May 21 23:57 pythonw@ -> pythonw2.6
-rwxrwxr-x  1 root  admin  33688 Apr 16 00:30 pythonw2.6*
lrwxr-xr-x  1 root  admin     11 May 21 23:57 smtpd.py@ -> smtpd2.6.py
-rwxrwxr-x  1 root  admin  18093 Apr 16 00:28 smtpd2.6.py*

$ ls -l 3.0/bin
total 248
-rwxrwxr-x  1 root  admin    150 Feb 14 10:04 2to3*
lrwxr-xr-x  1 root  admin      7 May 21 23:58 idle@ -> idle3.0
-rwxrwxr-x  1 root  admin    138 Feb 14 10:04 idle3.0*
lrwxr-xr-x  1 root  admin      8 May 21 23:58 pydoc@ -> pydoc3.0
-rwxrwxr-x  1 root  admin    123 Feb 14 10:04 pydoc3.0*
lrwxr-xr-x  1 root  admin      9 May 21 23:58 python@ -> python3.0
lrwxr-xr-x  1 root  admin     16 May 21 23:58 python-config@ -> 
python3.0-config
-rwxrwxr-x  1 root  admin  29560 Feb 14 10:05 python3.0*
-rwxrwxr-x  1 root  admin   1440 Feb 14 10:05 python3.0-config*
lrwxr-xr-x  1 root  admin     10 May 21 23:58 pythonw@ -> pythonw3.0
-rwxrwxr-x  1 root  admin  29560 Feb 14 10:05 pythonw3.0*
lrwxr-xr-x  1 root  admin     11 May 21 23:58 smtpd.py@ -> smtpd3.0.py
-rwxrwxr-x  1 root  admin  18119 Feb 14 10:04 smtpd3.0.py*

$ ls -l 3.1/bin
total 272
lrwxr-xr-x  1 root  admin      7 May 21 19:10 idle3@ -> idle3.1
-rwxrwxr-x  1 root  admin    138 May 21 18:51 idle3.1*
lrwxr-xr-x  1 root  admin      8 May 21 19:10 pydoc3@ -> pydoc3.1
-rwxrwxr-x  1 root  admin    123 May 21 18:51 pydoc3.1*
-rwxrwxr-x  1 root  admin  34220 May 21 18:51 python*
lrwxr-xr-x  1 root  admin     16 May 21 19:10 python-config@ -> 
python3.1-config
lrwxr-xr-x  1 root  admin      9 May 21 19:10 python3@ -> python3.1
lrwxr-xr-x  1 root  admin     16 May 21 19:10 python3-config@ -> 
python3.1-config
-rwxrwxr-x  1 root  admin  29560 May 21 18:51 python3.1*
-rwxrwxr-x  1 root  admin   1440 May 21 18:51 python3.1-config*
lrwxr-xr-x  1 root  admin     10 May 21 19:10 pythonw3@ -> pythonw3.1
-rwxrwxr-x  1 root  admin  29560 May 21 18:51 pythonw3.1*

Issues:

1. In py3k bin, there is a "python" binary rather than the symlink that 
was there before.  That appears to be the unstripped binary of the 
interpreter (before it is stripped installed into the fw app bundle). 
Presumably the symlink install used to implicitly remove the binary; now 
an explicit rm is needed?

2. There is still a symlink to python-config.

3. There is no longer *any* 2to3 script, versioned or not. r71936  
(setup.py) is the culprit here (Issue5756, which I'm reopening to ensure 
this issue is examined for all platforms).  With regard to the OSX 
installer, since Tools/scripts isn't installed, there needs to be a 
script of some kind in bin.  As discussed in Issue5756, it should be 
decided how to resolve conflicts between a py2 2to3 and a py3 one.

4. There is no longer any smtpd.py or smtpd3.x.py script/link installed, 
also due to r71936 (setup.py) and to r72723 (Mac/Makefile.in).  I don't 
see this as a huge issue since I doubt that script is used much at all.  
But, at the least, a NEWS/What's New and/or README item about its 
removal in 3.1 is in order.
msg88306 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-05-25 08:05
Issues update:

1. Benjamin fixed this in r72857.

2. Also fixed in r72857.

3. Fixed in r72866.

4. open - all that is needed is to add a NEWS item about smtpd.py no 
longer being installed as script
msg88392 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-05-26 21:22
You've got a point there.

Benjamin: should the removal of smtpd.py from the list of installed 
scripts be listed in the NEWS file?
msg88393 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2009-05-26 21:23
2009/5/26 Ronald Oussoren <report@bugs.python.org>:
>
> Ronald Oussoren <ronaldoussoren@mac.com> added the comment:
>
> You've got a point there.
>
> Benjamin: should the removal of smtpd.py from the list of installed
> scripts be listed in the NEWS file?

Yes, do you want to do that?
msg88395 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-05-26 21:39
Sure. Done in r72948.
History
Date User Action Args
2009-05-26 21:39:32ronaldoussorensetstatus: open -> closed
resolution: fixed
messages: + msg88395
2009-05-26 21:23:11benjamin.petersonsetmessages: + msg88393
2009-05-26 21:22:18ronaldoussorensetnosy: + benjamin.peterson
messages: + msg88392
2009-05-25 08:05:12ned.deilysetmessages: + msg88306
2009-05-22 09:39:52ned.deilysetmessages: + msg88186
2009-05-19 19:17:12ronaldoussorensetnosy: + ronaldoussoren
messages: + msg88090
2009-02-16 07:28:48ned.deilysetmessages: + msg82221
2009-02-15 09:08:33ned.deilycreate